/**=================================================================================================
Hochschule Luzern - Technik & Architektur                                   Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                                                     http://hslu.ximit.ch
----------------------------------------------------------------------------------------------------
Project     : Uebung_5-2
Name        : zeigerarithmetic.h
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-10-27v1.0
Description : Matrix erstellen
              Schreiben Sie die Funktion createMatrix(…), welche eine Matrix erzeugt und die
              Matrix mit einem vorgegebenen Werte initialisiert (der Wert wird als dritter
              Übergabeparameter übergeben).
==================================================================================================*/

#ifndef ZEIGERARITHMETIC_H
#define	ZEIGERARITHMETIC_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* function prototypes */
void printField(const int *field);
void move(int *field, int *posX, int *posY, char in);

/* define the size of the field */
#define SIZE 7

/* print an error message for mysterious SIZE values */
#if SIZE < 2
#error "SIZE IS SENSELESS"
#elif SIZE > 39
#error "SIZE IS LARGER THAN CONSOLE :-)"
#endif



#endif	/* ZEIGERARITHMETIC_H */

